<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
    document.location.href = "reg.php?err_login=1";
  </script>
  <?php
  exit();
}

$log_id = abs(intval($_SESSION['id']));
$query_ch = "Select * from users where id = '$log_id'";
$result_ch = mysqli_query($dbc, $query_ch) or die ('Ошибка передачи запроса к БД1'); 
$row_ch = mysqli_fetch_array($result_ch);
$clan_ch = $row_ch['clan'];
$money = $row_ch['money'];
$slava = $row_ch['slava'];
 if ($row_ch['gruppa'] == 'svoboda') {$ava='svobodaclan.png';}        
	  if ($row_ch['gruppa'] == 'dolg') {$ava='dolgclan.png';}
	  if ($row_ch['gruppa'] == 'naemniki') {$ava='naemnikiclan.png';} 
          if ($row_ch['gruppa'] == 'renegat') {$ava='renegatclan.png"';}
	  if ($row_ch['gruppa'] == 'chistoenebo') {$ava='chistoeneboclan.png';} 
$gruppa_cr=$row_ch['gruppa'];
$create = filter($_GET['create']);
if (empty($clan_ch) and $create ==0) {
  $page_title = 'Создать отряд';
  require_once('conf/head.php');
  require_once('conf/top.php');
  ////////////////////////////////////////////////////////////
  if (isset($_POST['create'])) {
$name=filter($_POST['name']);
    $sgn = '#^[a-zA-Zа-яА-Я]+$#';
    $en = '#[a-zA-Z]#';
    $rus = '#[а-яА-Я]#';
	$cr = 1;
	if (!empty($name)) {
      if ((preg_match($en, $name)) and (preg_match($rus, $name))) {
	    ?> 
	    <p id="error">Назватие должно содержать только русские или английские буквы</p>
	    <?php
        $cr = 0;
	  }
	  if (!preg_match($sgn, $name)) {
		?> 
	    <p id="error">Имеются запрещенные символы или цифры в названии</p>
	    <?php
        $cr = 0;
      }
	  $long_name = strlen($name);
	  if (($long_name<2) or ($long_name>20)){
	    ?> <p id="error">Название должно быть в пределах от 2 до 12 символов</p>
	    <?php
	    $cr = 0;
	  }
	  if ($cr<> 0) {
	  $query = "Select clan_id from clans where name = '$name'";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД2'); 
      $row = mysqli_num_rows($result);
	  if (!empty($row)) {  ?> <p id="error">Такой отряд уже существует</p>
	    <?php
	    $cr = 0;
	  }
	  
if ($money<15000) {
	  ?> <p id="error">У вас недостаточно средств</p>
	    <?php
	    $cr = 0;
	  }
	  }
	  ///////Всё норм)) Создаём клан
	  if ($cr == 1) {
$money=($money-15000);
	  $query_cr = "insert into clans (`name`,  `gruppa`,`ava`,`clan_opit`, `mentor`) values ('$name', '$gruppa_cr', '$ava', '0', '0')";
	  $result_cr = mysqli_query($dbc, $query_cr) or die ('Ошибка передачи запроса к БД3');
	  $query_cr = "select clan_id from clans where name='$name'";
	  $result_cr = mysqli_query($dbc, $query_cr) or die ('Ошибка передачи запроса к БД4');
	  $row_cr = mysqli_fetch_array($result_cr);
	  $clan_id = $row_cr['clan_id'];
	  $query = "update users set clan = '$clan_id', clan_rang = 9, money = '$money' where id = '$log_id'";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД5');
      $query = "DELETE FROM  in_clan WHERE id_in = '$log_id'";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД6');
	  ?>
      <script type="text/javascript">
      document.location.href = "company.php?company_id=<?php echo "$clan_id";?>";
      </script>
      <?php
      exit();
	  
	  }
	  //////////////////////////////
    }
	else {
      ?>
      <p id="error">Введите название отряда</p>
      <?php
      $cr = 0;
    }
  }
  ////////////////////////////////////////////////////////////
  ?>
<center><p class="name2">Создание отряда</p></center>
   <?php
if($row_ch[lvl]<15){echo'<span class="red">Для создания отряда, ваш уровень должен быть больше 15!</span>';}
else{
?>
   <div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Название отряда:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div>
   <form enctype="multipart/form-data" method="post" action="<? $_SERVER['PHP_SELF']; ?>">
	 <input type="text"  class="input" style='width:55%; height:25px;' cols='25px' name="name" placeholder='Введите желаемое название...' autofocus required/>
	 <span class="knopka">
     <input type="submit" class="input" value="Создать" name="create"/>
     </span>
	 </form>
<p><span class="bonus">Стоимость: <img src="img/ico/money.png" width="12" height="12"/> 15000 RUB</span></p>
  </div>
  <?php  
}
   require_once('conf/navig.php');
   require_once('conf/foot.php'); 
}
else {
?>
      <script type="text/javascript">
      document.location.href = "company.php?company_id=<?php echo "$clan_ch";?>";
      </script>
      <?php
}
//////////////////////////////////////////////  
mysqli_close($dbc);
?>